import { BaseHarnessFilters, ComponentHarness, HarnessPredicate } from '@angular/cdk/testing';
type ConditionGroupHarnessValues = {
    condition: 'AND' | 'OR';
    conditions: (ConditionGroupHarnessValues | ConditionHarnessValues)[];
};
type ConditionHarnessValues = {
    field: {
        field: string;
        key1?: string;
        key2?: string;
    };
    operator?: string;
    value?: string | boolean | number;
};
export declare class GioElEditorConditionGroupHarness extends ComponentHarness {
    static hostSelector: string;
    static with(options?: BaseHarnessFilters): HarnessPredicate<GioElEditorConditionGroupHarness>;
    getNodeLvl: () => Promise<string | null>;
    private getAddMenuButton;
    private getConditionButtonToggleGroup;
    private getConditionsHarness;
    private getConditionHarness;
    private getConditionTypeHarness;
    private getConditionField;
    clickAddNewConditionButton(): Promise<void>;
    clickAddNewGroupButton(): Promise<void>;
    getConditionValue(): Promise<'AND' | 'OR'>;
    selectConditionValue(operator: 'AND' | 'OR'): Promise<void>;
    selectConditionField(index: number, field: string, key1?: string, key2?: string): Promise<void>;
    selectConditionOperator(index: number, operator: string): Promise<void>;
    getConditionAvailableOperators(index: number): Promise<string[]>;
    setConditionValue(index: number, value: string | boolean | number | Date): Promise<void>;
    getConditionGroup(index: number): Promise<GioElEditorConditionGroupHarness>;
    getConditions(): Promise<ConditionGroupHarnessValues>;
}
export {};
