import { SimpleChanges, OnChanges, ElementRef, OnDestroy } from '@angular/core';
import { MatAutocompleteSelectedEvent } from '@angular/material/autocomplete';
import { MatFormFieldControl } from '@angular/material/form-field';
import { ControlValueAccessor, FormControl, NgControl } from '@angular/forms';
import { Observable, Subject } from 'rxjs';
import { BooleanInput } from '@angular/cdk/coercion';
import { FocusMonitor } from '@angular/cdk/a11y';
import { ConditionModel } from '../../models/ConditionModel';
import { ConditionsModel } from '../../models/ConditionsModel';
import * as i0 from "@angular/core";
type FieldAutocompleteOption = ConditionModel;
type FieldAutocompleteGroup = {
    field: string;
    label: string;
    options: FieldAutocompleteOption[];
};
type FieldAutocompleteModel = (FieldAutocompleteOption | FieldAutocompleteGroup)[];
type Key1AutocompleteValue = {
    value: string;
    label: string;
};
export declare class GioElFieldComponent implements OnChanges, MatFormFieldControl<ConditionModel>, ControlValueAccessor, OnDestroy {
    readonly ngControl: NgControl;
    private elementRef;
    private focusMonitor;
    private readonly destroyRef;
    conditionsModel: ConditionsModel;
    protected fieldFilteredOptions$: Observable<FieldAutocompleteModel>;
    protected key1FilteredOptions$: Observable<Key1AutocompleteValue[]>;
    protected selectedConditionModel: ConditionModel | null;
    protected fieldFormControl: FormControl<ConditionModel | null>;
    protected key1FormControl: FormControl<string | null>;
    protected key2FormControl: FormControl<string | null>;
    set value(_value: ConditionModel | null);
    stateChanges: Subject<void>;
    static nextId: number;
    id: string;
    get placeholder(): string;
    set placeholder(plh: string);
    private _placeholder;
    focused: boolean;
    get empty(): boolean;
    get shouldLabelFloat(): boolean;
    get required(): boolean;
    set required(req: boolean);
    private _required;
    get disabled(): boolean;
    set disabled(value: BooleanInput);
    private _disabled;
    touched: boolean;
    get errorState(): boolean;
    controlType: string;
    userAriaDescribedBy?: string | undefined;
    setDescribedByIds(ids: string[]): void;
    protected _onChange: (_value: ConditionModel | null) => void;
    protected _onTouched: () => void;
    constructor(ngControl: NgControl, elementRef: ElementRef<HTMLElement>, focusMonitor: FocusMonitor);
    ngOnChanges(changes: SimpleChanges): void;
    displayFn(option: FieldAutocompleteOption | FieldAutocompleteGroup): string;
    onFieldSelected($event: MatAutocompleteSelectedEvent): void;
    writeValue(): void;
    registerOnChange(fn: (value: ConditionModel | null) => void): void;
    registerOnTouched(fn: () => void): void;
    setDisabledState(isDisabled: boolean): void;
    onContainerClick(event: MouseEvent): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<GioElFieldComponent, [{ optional: true; self: true; }, null, null]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<GioElFieldComponent, "gio-el-field", never, { "conditionsModel": { "alias": "conditionsModel"; "required": true; }; "placeholder": { "alias": "placeholder"; "required": false; }; "required": { "alias": "required"; "required": false; }; }, {}, never, never, true, never>;
}
export {};
