import { Operator } from './Operator';
import { ConditionType } from './ConditionModel';
type ConditionValue<T> = T extends 'string' ? string : T extends 'number' ? number : T extends 'date' ? Date : T extends 'boolean' ? boolean : unknown;
export declare class Condition<T extends ConditionType> {
    field: string | {
        field: string;
        key1Value?: string;
        key2Value?: string;
    };
    type: T;
    operator: Operator;
    value?: ConditionValue<T> | undefined;
    constructor(field: string | {
        field: string;
        key1Value?: string;
        key2Value?: string;
    }, type: T, operator: Operator, value?: ConditionValue<T> | undefined);
}
export {};
