export interface CronDisplay {
    mode: CronDisplayMode;
    secondInterval?: number;
    minuteInterval?: number;
    hourInterval?: number;
    dayInterval?: number;
    dayOfWeek?: number;
    dayOfMonth?: number;
    customExpression?: string;
    hours?: number;
    minutes?: number;
}
export declare const CRON_DISPLAY_MODES: readonly ["secondly", "minutely", "hourly", "daily", "weekly", "monthly", "custom"];
export type CronDisplayMode = (typeof CRON_DISPLAY_MODES)[number];
export declare const getDefaultCronDisplay: (mode: CronDisplayMode) => CronDisplay;
export declare const parseCronExpression: (cronExpression: string) => CronDisplay;
export declare const toCronExpression: (cronDisplay: Omit<CronDisplay, "cronDescription">) => string;
export declare const toCronDescription: (cronExpression: string) => string;
