import { FocusMonitor } from '@angular/cdk/a11y';
import { ElementRef, NgZone, OnDestroy, OnInit, ChangeDetectorRef } from '@angular/core';
import { AbstractControl, ControlValueAccessor, UntypedFormGroup, ValidationErrors, Validator } from '@angular/forms';
import * as i0 from "@angular/core";
export declare class GioFormCronComponent implements ControlValueAccessor, OnInit, OnDestroy, Validator {
    private readonly elRef;
    private readonly fm;
    private readonly ngZone;
    private readonly cdr;
    _onChange: (value: string | null) => void;
    _onTouched: () => void;
    seconds: number[];
    minutes: number[];
    hours: number[];
    daysOfMonth: number[];
    daysOfWeek: string[];
    internalFormGroup?: UntypedFormGroup;
    value?: string;
    expressionDescription?: string;
    isDisabled: boolean;
    smallDisplay: boolean;
    private touched;
    private focused;
    private hasError;
    private cronDisplay?;
    private unsubscribe$;
    private resizeObserver?;
    constructor(elRef: ElementRef, fm: FocusMonitor, ngZone: NgZone, cdr: ChangeDetectorRef);
    ngOnInit(): void;
    ngOnDestroy(): void;
    writeValue(value: string): void;
    registerOnChange(fn: (value: string | null) => void): void;
    registerOnTouched(fn: () => void): void;
    setDisabledState(isDisabled: boolean): void;
    validate(_: AbstractControl): ValidationErrors | null;
    onClear({ touched }?: {
        touched?: boolean;
    }): void;
    private refreshInternalForm;
    static ɵfac: i0.ɵɵFactoryDeclaration<GioFormCronComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<GioFormCronComponent, "gio-form-cron", never, {}, {}, never, ["gio-form-cron-label", "gio-form-cron-hint"], false, never>;
}
