import { ChangeDetectorRef, OnInit } from '@angular/core';
import { ControlValueAccessor, NgControl } from '@angular/forms';
import { ReadFile, ReadMode } from 'ngx-file-helpers';
import * as i0 from "@angular/core";
type FileValue = {
    name: string;
    isNew: boolean;
    dataUrl: string;
    file?: File;
    isImage: boolean;
};
export declare class GioFormFilePickerComponent implements OnInit, ControlValueAccessor {
    private changeDetectorRef;
    ngControl?: NgControl | undefined;
    multiple: boolean;
    accept: string;
    set disabled(disabled: boolean);
    fileValues: FileValue[];
    readMode: ReadMode;
    dragHover: boolean;
    isDisabled: boolean;
    private onChangeCallback;
    private onTouchedCallback;
    constructor(changeDetectorRef: ChangeDetectorRef, ngControl?: NgControl | undefined);
    ngOnInit(): void;
    get isComplete(): boolean;
    get isValid(): boolean | null;
    writeValue(inputs?: string[]): Promise<void>;
    registerOnChange(fn: (v: unknown) => void): void;
    registerOnTouched(fn: () => void): void;
    setDisabledState(isDisabled: boolean): void;
    onFilePicked(event: ReadFile): void;
    onFileDropped(event: ReadFile): void;
    onRemoveFile(file: FileValue): void;
    onTouched(): void;
    onDragEnter($event: DragEvent): void;
    onDragOver($event: DragEvent): void;
    private handleReceivedFileEvent;
    private emitFileValue;
    static ɵfac: i0.ɵɵFactoryDeclaration<GioFormFilePickerComponent, [null, { optional: true; self: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<GioFormFilePickerComponent, "gio-form-file-picker", never, { "multiple": { "alias": "multiple"; "required": false; }; "accept": { "alias": "accept"; "required": false; }; "disabled": { "alias": "disabled"; "required": false; }; }, {}, never, ["gio-form-file-picker-label", "gio-form-file-picker-add-button", "gio-form-file-picker-empty"], false, never>;
}
export {};
