import { BaseHarnessFilters, ComponentHarness, HarnessPredicate } from '@angular/cdk/testing';
interface GioFormFilePickerHarnessFilters extends BaseHarnessFilters {
    /** Filters based on the formControlName  */
    formControlName?: string;
}
export declare class GioFormFilePickerInputHarness extends ComponentHarness {
    static hostSelector: string;
    static with(options: GioFormFilePickerHarnessFilters): HarnessPredicate<GioFormFilePickerInputHarness>;
    /**
     * Hack force onload on Image Object
     * GioFormFilePickerComponent use a Image Object to check if the file is an image.
     * This method allow to force onload event on the Image Object.
     * @param excludeSrc call onerror instead of onload for this src
     */
    static forceImageOnload(excludeSrc?: string[]): void;
    protected _mainDiv: import("@angular/cdk/harness-environment.d-4d615248").A<import("@angular/cdk/harness-environment.d-4d615248").i>;
    protected _hasErrorClass: import("@angular/cdk/harness-environment.d-4d615248").A<import("@angular/cdk/harness-environment.d-4d615248").i | null>;
    protected _inputFile: import("@angular/cdk/harness-environment.d-4d615248").A<import("@angular/cdk/harness-environment.d-4d615248").i>;
    protected _getDisabledElement: import("@angular/cdk/harness-environment.d-4d615248").A<import("@angular/cdk/harness-environment.d-4d615248").i | null>;
    private getFormControlName;
    hasErrorClass(): Promise<boolean>;
    clickInside(): Promise<void>;
    getInputFileAccept(): Promise<string | null>;
    getPreviews(): Promise<(string | null)[]>;
    isAddButtonPresent(): Promise<boolean>;
    isDisabled(): Promise<boolean>;
    deleteFile(fileIndex?: number): Promise<void>;
    dropFiles(files: File[]): Promise<void>;
}
export {};
