import { FocusMonitor } from '@angular/cdk/a11y';
import { ElementRef, OnInit } from '@angular/core';
import { AbstractControl, ControlValueAccessor, UntypedFormArray, UntypedFormGroup, ValidationErrors, Validator } from '@angular/forms';
import { Observable } from 'rxjs';
import * as i0 from "@angular/core";
export type Header = {
    key: string;
    value: string;
};
export type FormHeaderFieldMapper = {
    keyName: string;
    valueName: string;
};
export declare class GioFormHeadersComponent implements OnInit, ControlValueAccessor, Validator {
    private readonly fm;
    private readonly elRef;
    headerFieldMapper: FormHeaderFieldMapper;
    autocompleteDisabled?: boolean;
    mainForm: UntypedFormGroup;
    headersFormArray: UntypedFormArray;
    disabled: boolean;
    private headers;
    private _onChange;
    private _onTouched;
    private filteredHeaderNames;
    constructor(fm: FocusMonitor, elRef: ElementRef);
    writeValue(value: Record<string, string>[] | null): void;
    registerOnChange(fn: (headers: unknown) => void): void;
    private toHeaders;
    registerOnTouched(fn: () => void): void;
    setDisabledState(isDisabled: boolean): void;
    ngOnInit(): void;
    initHeadersForm(): void;
    getFilteredHeaderNames(headerIndex: number, header: Header): Observable<string[]>;
    validate(_control: AbstractControl): ValidationErrors | null;
    private initKeyFormControl;
    onDeleteHeader(headerIndex: number): void;
    private addEmptyHeader;
    private removeLastHeader;
    private _filter;
    static ɵfac: i0.ɵɵFactoryDeclaration<GioFormHeadersComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<GioFormHeadersComponent, "gio-form-headers", never, { "headerFieldMapper": { "alias": "headerFieldMapper"; "required": false; }; "autocompleteDisabled": { "alias": "autocompleteDisabled"; "required": false; }; }, {}, never, ["gio-form-headers-label"], false, never>;
}
