import { BaseHarnessFilters, ComponentHarness, HarnessPredicate } from '@angular/cdk/testing';
import { MatButtonHarness } from '@angular/material/button/testing';
import { MatInputHarness } from '@angular/material/input/testing';
import { MatAutocompleteHarness } from '@angular/material/autocomplete/testing';
export declare class GioFormHeadersHarness extends ComponentHarness {
    static hostSelector: string;
    /**
     * Gets a `HarnessPredicate` that can be used to search for a `GioFormColorInputHarness` that meets
     * certain criteria.
     *
     * @param options Options for filtering which input instances are considered a match.
     * @return a `HarnessPredicate` configured with the given options.
     */
    static with(options?: BaseHarnessFilters): HarnessPredicate<GioFormHeadersHarness>;
    private getHeaderRowsElement;
    private getHeaderRowInputKey;
    private getHeaderRowInputKeyAutocomplete;
    private getHeaderRowInputValue;
    private getHeaderRowRemoveButton;
    getHeaderRows(): Promise<{
        keyInput: MatInputHarness;
        keyAutocomplete: MatAutocompleteHarness;
        valueInput: MatInputHarness;
        removeButton: MatButtonHarness | null;
    }[]>;
    getLastHeaderRow(): Promise<{
        keyInput: MatInputHarness;
        valueInput: MatInputHarness;
    }>;
    addHeader({ key, value }: {
        key: string;
        value: string;
    }): Promise<void>;
    isDisabled(): Promise<boolean>;
    getValue(): Promise<{
        key: string;
        value: string;
    }[]>;
}
