import { AfterViewInit, ChangeDetectorRef, ElementRef, EventEmitter, OnChanges, OnDestroy, OnInit, SimpleChanges } from '@angular/core';
import { ControlValueAccessor, UntypedFormGroup, NgControl } from '@angular/forms';
import { FormlyFieldConfig, FormlyFormOptions } from '@ngx-formly/core';
import { FocusMonitor } from '@angular/cdk/a11y';
import { GioJsonSchema } from './model/GioJsonSchema';
import { GioFormlyJsonSchemaService } from './gio-formly-json-schema.service';
import { GioJsonSchemaContext } from './model/GioJsonSchemaContext';
import * as i0 from "@angular/core";
export declare class GioFormJsonSchemaComponent implements ControlValueAccessor, OnChanges, OnInit, AfterViewInit, OnDestroy {
    private readonly gioFormlyJsonSchema;
    private readonly elRef;
    private readonly fm;
    private readonly changeDetectorRef;
    readonly ngControl?: NgControl | undefined;
    static isDisplayable(jsonSchema: GioJsonSchema): boolean;
    private unsubscribe$;
    private gioFormFocusInvalidIgnore;
    jsonSchema: GioJsonSchema;
    context?: GioJsonSchemaContext;
    formGroup: UntypedFormGroup;
    options: FormlyFormOptions;
    ready: EventEmitter<boolean>;
    private isReady;
    model: unknown;
    fields: FormlyFieldConfig[];
    isDisabled: boolean;
    _onChange: (value: unknown | null) => void;
    _onTouched: () => void;
    private touched;
    private isValid$;
    private stateChanges$;
    constructor(gioFormlyJsonSchema: GioFormlyJsonSchemaService, elRef: ElementRef, fm: FocusMonitor, changeDetectorRef: ChangeDetectorRef, ngControl?: NgControl | undefined);
    ngOnChanges(changes: SimpleChanges): void;
    ngOnInit(): void;
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    writeValue(value: unknown): void;
    registerOnChange(fn: (value: unknown | null) => void): void;
    registerOnTouched(fn: () => void): void;
    setDisabledState?(isDisabled: boolean): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<GioFormJsonSchemaComponent, [null, null, null, null, { optional: true; host: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<GioFormJsonSchemaComponent, "gio-form-json-schema", never, { "jsonSchema": { "alias": "jsonSchema"; "required": true; }; "context": { "alias": "context"; "required": false; }; "options": { "alias": "options"; "required": false; }; }, { "ready": "ready"; }, never, never, false, never>;
}
