import { BaseHarnessFilters, ComponentHarness, HarnessPredicate } from '@angular/cdk/testing';
import { GioFormSelectionInlineCardHarness } from './gio-form-selection-inline-card.harness';
export type GioFormSelectionInlineHarnessFilters = BaseHarnessFilters;
export declare class GioFormSelectionInlineHarness extends ComponentHarness {
    static hostSelector: string;
    /**
     * Gets a `HarnessPredicate` that can be used to search for a `GioFormSelectionInlineHarness` that meets
     * certain criteria.
     *
     * @param options Options for filtering which input instances are considered a match.
     * @return a `HarnessPredicate` configured with the given options.
     */
    static with(options?: GioFormSelectionInlineHarnessFilters): HarnessPredicate<GioFormSelectionInlineHarness>;
    protected getCards: import("@angular/cdk/harness-environment.d-4d615248").A<GioFormSelectionInlineCardHarness[]>;
    protected getCardByValue: (value: string) => Promise<import("@angular/cdk/harness-environment.d-4d615248").i>;
    getSelectedValue(): Promise<string | undefined>;
    getUnselectedValues(): Promise<(string | undefined)[]>;
    getSelectionCards(): Promise<{
        text: string;
        value: string | undefined;
        selected: boolean;
        disabled: boolean;
    }[]>;
    select(value: string): Promise<void>;
    isDisabled(): Promise<boolean>;
}
