import { BaseHarnessFilters, ComponentHarness, HarnessPredicate, TestKey } from '@angular/cdk/testing';
import { MatAutocompleteHarness } from '@angular/material/autocomplete/testing';
import { MatChipHarness, MatChipGridHarness } from '@angular/material/chips/testing';
export type GioFormTagsInputHarnessFilters = BaseHarnessFilters;
export declare class GioFormTagsInputHarness extends ComponentHarness {
    static hostSelector: string;
    /**
     * Gets a `HarnessPredicate` that can be used to search for a `GioFormColorInputHarness` that meets
     * certain criteria.
     *
     * @param options Options for filtering which input instances are considered a match.
     * @return a `HarnessPredicate` configured with the given options.
     */
    static with(options?: GioFormTagsInputHarnessFilters): HarnessPredicate<GioFormTagsInputHarness>;
    protected getMatChipGridHarness: import("@angular/cdk/harness-environment.d-4d615248").A<MatChipGridHarness>;
    protected getMatChipsHarness: import("@angular/cdk/harness-environment.d-4d615248").A<MatChipHarness[]>;
    isDisabled(): Promise<boolean>;
    getTags(): Promise<string[]>;
    addTag(tag: string, separatorKey?: TestKey | 'blur'): Promise<void>;
    removeTag(tag: string): Promise<void>;
    getMatAutocompleteHarness(): Promise<MatAutocompleteHarness | null>;
}
