import { FocusMonitor } from '@angular/cdk/a11y';
import { ChangeDetectorRef, DoCheck, ElementRef, OnDestroy, OnInit, Renderer2 } from '@angular/core';
import { NgControl } from '@angular/forms';
import { MatFormFieldControl } from '@angular/material/form-field';
import { Subject } from 'rxjs';
import { GioMonacoEditorComponent } from './gio-monaco-editor.component';
import * as i0 from "@angular/core";
export declare class GioMonacoEditorFormFieldDirective implements OnInit, DoCheck, MatFormFieldControl<string>, OnDestroy {
    private readonly elementRef;
    private readonly focusMonitor;
    private readonly renderer;
    private readonly changeDetectorRef;
    readonly hostGioMonacoEditorComponent: GioMonacoEditorComponent;
    static nextId: number;
    stateChanges: Subject<void>;
    id: string;
    userAriaDescribedBy: string;
    get value(): string | null;
    set placeholder(placeholder: string);
    get placeholder(): string;
    set required(required: boolean);
    get required(): boolean;
    set disabled(disabled: boolean);
    get disabled(): boolean;
    ngControl: NgControl | null;
    focused: boolean;
    get empty(): boolean;
    get shouldLabelFloat(): boolean;
    get shouldHideEditor(): boolean;
    errorState: boolean;
    controlType: string;
    private _placeholder;
    private _required;
    private _disabled;
    private maxHeight;
    private unsubscribe$;
    constructor(elementRef: ElementRef, focusMonitor: FocusMonitor, renderer: Renderer2, changeDetectorRef: ChangeDetectorRef, hostGioMonacoEditorComponent: GioMonacoEditorComponent);
    ngOnInit(): void;
    ngDoCheck(): void;
    ngOnDestroy(): void;
    setDescribedByIds(ids: string[]): void;
    onContainerClick(_event: MouseEvent): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<GioMonacoEditorFormFieldDirective, [null, null, null, null, { optional: true; host: true; self: true; }]>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<GioMonacoEditorFormFieldDirective, "[gioMonacoEditorFormField]", never, { "placeholder": { "alias": "placeholder"; "required": false; }; "required": { "alias": "required"; "required": false; }; "disabled": { "alias": "disabled"; "required": false; }; }, {}, never, never, false, never>;
}
