import { BaseHarnessFilters, ComponentHarness, HarnessPredicate, LocatorFactory } from '@angular/cdk/testing';
export declare const ConfigureTestingGioMonacoEditor: () => void;
export type GioMonacoEditorHarnessFilters = BaseHarnessFilters;
export declare class GioMonacoEditorHarness extends ComponentHarness {
    static hostSelector: string;
    constructor(locatorFactory: LocatorFactory);
    /**
     * Gets a `HarnessPredicate` that can be used to search for a `GioMonacoEditorHarness` that meets
     * certain criteria.
     *
     * @param options Options for filtering which input instances are considered a match.
     * @return a `HarnessPredicate` configured with the given options.
     */
    static with(options?: GioMonacoEditorHarnessFilters): HarnessPredicate<GioMonacoEditorHarness>;
    protected getInputEl: import("@angular/cdk/harness-environment.d-4d615248").A<import("@angular/cdk/harness-environment.d-4d615248").i>;
    setValue(value: string): Promise<void>;
    getValue(): Promise<string>;
    isDisabled(): Promise<boolean>;
}
