import { EventEmitter } from '@angular/core';
import { Observable } from 'rxjs';
import { FormControl } from '@angular/forms';
import { MatAutocompleteSelectedEvent } from '@angular/material/autocomplete';
import { GioMenuSearchService } from './gio-menu-search.service';
import * as i0 from "@angular/core";
export interface MenuSearchItem {
    name: string;
    routerLink: string;
    category: string;
    groupIds?: string[];
}
export declare class GioMenuSearchComponent {
    private readonly gioMenuSearchService;
    protected control: FormControl<string | MenuSearchItem | null>;
    protected filteredItems$: Observable<MenuSearchItem[]>;
    valueChanges: EventEmitter<MenuSearchItem>;
    constructor(gioMenuSearchService: GioMenuSearchService);
    protected displayFn(item: MenuSearchItem): string;
    protected onSelectionChange(event: MatAutocompleteSelectedEvent): void;
    private _filter;
    private _normalizeValue;
    static ɵfac: i0.ɵɵFactoryDeclaration<GioMenuSearchComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<GioMenuSearchComponent, "gio-menu-search", never, {}, { "valueChanges": "valueChanges"; }, never, never, false, never>;
}
