import { BaseHarnessFilters, ComponentHarness, HarnessPredicate } from '@angular/cdk/testing';
export type DivHarnessFilters = BaseHarnessFilters & {
    /** Filters based on the text */
    text?: string | RegExp;
};
export declare class DivHarness extends ComponentHarness {
    static hostSelector: string;
    /**
     * Get Harness with the given filter.
     *
     * @param options Options for filtering which input instances are considered a match.
     * @return a `HarnessPredicate` configured with the given options.
     */
    static with(options?: DivHarnessFilters): HarnessPredicate<DivHarness>;
    childLocatorFor: <T extends (import("@angular/cdk/harness-environment.d-4d615248").H<any> | string)[]>(...queries: T) => import("@angular/cdk/harness-environment.d-4d615248").A<import("@angular/cdk/harness-environment.d-4d615248").L<T>>;
    childLocatorForOptional: <T extends (import("@angular/cdk/harness-environment.d-4d615248").H<any> | string)[]>(...queries: T) => import("@angular/cdk/harness-environment.d-4d615248").A<import("@angular/cdk/harness-environment.d-4d615248").L<T> | null>;
    childLocatorForAll: <T extends (import("@angular/cdk/harness-environment.d-4d615248").H<any> | string)[]>(...queries: T) => import("@angular/cdk/harness-environment.d-4d615248").A<import("@angular/cdk/harness-environment.d-4d615248").L<T>[]>;
    getText(option?: {
        childSelector?: string;
    }): Promise<string | null>;
}
